Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Class DockingState

    java.lang.Object
      org.flexdock.docking.state.DockingState

All Implemented Interfaces:
  Serializable, Cloneable, DockingConstants

    public class DockingState

extends Object
implements Cloneable, Serializable, DockingConstants

Author:
  Mateusz Szczap
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockingState(String dockableId)`

Method Summary
`Object` | `clone()`
`Point` | `getCenterPoint()`
`int` | `getCenterX()`
`int` | `getCenterY()`
`Dockable` | `getDockable()`
`String` | `getDockableId()`
`String` | `getFloatingGroup()`
`int` | `getMinimizedConstraint()`
`DockingPath` | `getPath()`
`String` | `getRegion()`
`Dockable` | `getRelativeParent()`
`String` | `getRelativeParentId()`
`float` | `getSplitRatio()`
`boolean` | `hasCenterPoint()`
`boolean` | `hasDockingPath()`
`boolean` | `isFloating()`
`boolean` | `isMinimized()`
`void` | `setCenter(Point p)`
`void` | `setCenterX(int centerX)`
`void` | `setCenterY(int centerY)`
`void` | `setFloatingGroup(String group)`
`void` | `setMinimizedConstraint(int constraint)`
`void` | `setPath(DockingPath path)`
`void` | `setRegion(String region)`
`void` | `setRelativeParent(Dockable parent)`
`void` | `setRelativeParentId(String relativeParentId)`
`void` | `setSplitRatio(float ratio)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DockingState

    public DockingState(String dockableId)

Method Detail

### getDockable

    public Dockable getDockable()

### getDockableId

    public String getDockableId()

### getSplitRatio

    public float getSplitRatio()

### setSplitRatio

    public void setSplitRatio(float ratio)

### getRegion

    public String getRegion()

### setRegion

    public void setRegion(String region)

### getMinimizedConstraint

    public int getMinimizedConstraint()

### getFloatingGroup

    public String getFloatingGroup()

### isFloating

    public boolean isFloating()

### isMinimized

    public boolean isMinimized()

### hasDockingPath

    public boolean hasDockingPath()

### getPath

    public DockingPath getPath()

### setPath

    public void setPath(DockingPath path)

### setMinimizedConstraint

    public void setMinimizedConstraint(int constraint)

### setFloatingGroup

    public void setFloatingGroup(String group)

### getRelativeParent

    public Dockable getRelativeParent()

### getRelativeParentId

    public String getRelativeParentId()

### setRelativeParent

    public void setRelativeParent(Dockable parent)

### setRelativeParentId

    public void setRelativeParentId(String relativeParentId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getCenterX

    public int getCenterX()

### setCenterX

    public void setCenterX(int centerX)

### getCenterY

    public int getCenterY()

### setCenterY

    public void setCenterY(int centerY)

### setCenter

    public void setCenter(Point p)

### getCenterPoint

    public Point getCenterPoint()

### hasCenterPoint

    public boolean hasCenterPoint()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD